Get Knowledge Chunks - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get Knowledge Chunks
Request
GET /v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks
Try it
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks \
--header 'X-API-Key: <api-key>'
Example: Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
Example: JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Example: PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Codes
| Code | Description |
|---|---|
| 200 | Successful request |
| 400 | Bad request |
| 401 | Unauthorized |
| 402 | Payment required |
| 403 | Forbidden |
| 404 | Not found |
| 500 | Internal server error |
Response Example
{
"items": [
{
"order": 1,
"text": "This is a paragraph from an article",
"data": {},
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Parameters
Headers
- X-API-Key: string (required) — Supply the API Key in the HTTP header.
Path Parameters
- knowledgeStoreId: string (required) — The ID of the KnowledgeStore. Length: 24 characters, pattern:
^[a-z0-9]{24}$ - sourceId: string (required) — The ID of the KnowledgeSource. Length: 24 characters, pattern:
^[a-z0-9]{24}$
Query Parameters
- filter: string — Text of the knowledge chunk to filter the records.
- limit: integer — Maximum number of items to return (default: 25, max: 100, range: 1-100).
- skip: integer — Number of items to skip before returning the results (default: 0).
- sort: string — Order in which results are returned.
- next: string — Cursor that points to the next page of results (length: 24).
- previous: string — Cursor that points to the previous page of results (length: 24).
Authorizations
- API Key: transmitted as a header or query parameter.